<%@page import="java.io.*,java.util.*,javax.servlet.*" %>
<%@page import="com.sas.hrv.*" %>

<%
/*********************************************************************/
// Copyright (c) 2000 by SAS Institute Inc., Cary, NC 27513
/*********************************************************************/
//
// NAME:     HRVhome.jsp
// AUTHOR:   maperr - Matthew Perry
// SUPPORT:  maperr - Matthew Perry
// PRODUCT:  hrvision
// TYPE:     jsp page
// LANGUAGE: java
// PURPOSE:  Links jsp to display the Related Links for HR Vision
//
// HISTORY:   Date    Who     Action
//           -------------------------------------------------------
//           11JUL01  maperr  initial coding
// S0261329  02Aug04  sandeep yawale  added if statement for absolute url
/*********************************************************************/
%>

<%@ include file="HRVLoginInclude.jsp"%>

<html><head>
<%@ include file="HRVHeadInclude.jsp"%>
<%
	WarehouseBean wB = hrvi.getWarehouseBean(session);
	VisMsg vm = VisMsg.getInstance(session);
	String newsPage = wB.getAttributeValue("news");
	Locale locale = (Locale)session.getAttribute("locale");
	boolean newsDefault = true;
	if (newsPage.length()>8 && !(newsPage.substring(0,7).equalsIgnoreCase("http://") || newsPage.substring(0,8).equalsIgnoreCase("https://")))	
	{
	
		try{
			if(newsPage != null && !newsPage.equals("")){
				//if on a windows os
				int indexOfUrl = newsPage.lastIndexOf("/");

				//if on a unix os
				if(indexOfUrl == -1)
					indexOfUrl = newsPage.lastIndexOf("\\");

				String path = newsPage.substring(0, indexOfUrl + 1);	
				String temppath = getServletConfig().getServletContext().getRealPath(path.substring(2));
				String fileName = newsPage.substring(indexOfUrl + 1, newsPage.lastIndexOf("."));
				String extension = newsPage.substring(newsPage.lastIndexOf("."));
				String localeSensitiveName = fileName + "_" + locale + extension;

				File htmlFolder = new File(temppath);
				String [] files = htmlFolder.list();
				for(int i=0; i < files.length; i++){
					if(localeSensitiveName.equals(files[i])){
						fileName = files[i];
						newsDefault = false;
						break;
					}
				}

				newsPage = path + fileName;

				//if there is no matching locale set page to blank. This will use the link map file
				if(newsDefault)
					newsPage = "";


			}
		}catch(Exception e){
			newsPage = vm.getLink("NEWSlink");
		}

	}
	if(newsPage == null || newsPage.equals(""))
		newsPage = vm.getLink("NEWSlink");
		
	response.sendRedirect(newsPage);
%>
</head>
</html>