<%-- Copyright (c) 2001 by SAS Institute Inc., Cary, NC 27513 --%>
<%@ page errorPage="../Query/QueryErr.jsp" %>
<%@ page import="java.io.*,java.util.*" %>
<%@ page import="com.sas.query.*" %>
<%@ page import="com.sas.query.app.*" %>
<%@ page import="com.sas.query.datasources.*" %>
<%@ page import="com.sas.query.models.*" %>
<%@ page import="com.sas.query.models.Expression" %>
<%@ page import="com.sas.query.parser.*" %>
<%@ page import="com.sas.query.visuals.*" %>
<%@ page import="com.sas.hrv.*" %>   
<%@ page import="com.sas.rmi.Connection" %>
<%@ page import="com.sas.collection.StringCollection" %>
<%@ page import="com.sas.servlet.beans.*" %>
<%@ page import="com.sas.servlet.beans.html.*" %>
<%@ include file="../Jsp/HRVLoginInclude.jsp" %>
<%@ include file="../Query/QueryInclude.jsp" %> 
<% 
   VisMsg bundle = (VisMsg)request.getAttribute("resources");
   String m_pageLabel	= bundle.getString("ColumnSelector.PageLabel.txt");
   String m_tableLabel	= bundle.getString("ColumnSelector.TableLabel.txt");
   String m_joinLabel	= bundle.getString("ColumnSelector.JoinLabel.txt");

   String m_bigMessage = "";
   if (m_messages.hasMessages()) {
      m_bigMessage = m_messages.getOneBigMessage();
      m_messages.removeAllMessages();
   }
%>      
<HTML>
<HEAD>
   <%@ include file="../Jsp/HRVHeadInclude.jsp"%>
<SCRIPT>
function doNav(cmd) {
   document.initQry.intAction.value=cmd;
   tableKeys_SUBMIT();
   columnKeys_SUBMIT();
   document.initQry.submit();
}
function doSave() { doNav('goto.save'); }
function OnChangeLibrary() { doNav('update'); }
function OnChangeTableKey() { doNav('update'); }
function DoAddCalculatedColumn() { doNav('goto.calccol'); }
</SCRIPT>
</HEAD>
<%
   BaseTransformation librarySelector = (BaseTransformation)request.getAttribute("librarySelector");
   BaseTransformation joinSelector = (BaseTransformation)request.getAttribute("joinSelector");
   SelectorCtrl tableSelector = (SelectorCtrl)request.getAttribute("tableSelector");
   SelectorCtrl columnSelector = (SelectorCtrl)request.getAttribute("columnSelector");
   BaseTransformation labelSelector = (BaseTransformation)request.getAttribute("labelSelector");
   BaseTransformation promptSelector = (BaseTransformation)request.getAttribute("promptSelector");
%>
<BODY CLASS="bodyContents">

<CENTER><H1><%= m_pageLabel %></H1></CENTER>
<TABLE BORDER=0 WIDTH="100%" HEIGHT="100%">

<FORM ACTION="Step1.jsp" NAME="initQry" METHOD=POST>
<INPUT TYPE="hidden" NAME="intAction" VALUE="">
<INPUT TYPE="hidden" NAME="sessionkey" VALUE="<%= m_sessionKey %>">

<TR ALIGN=CENTER><TD VALIGN=CENTER>
<TABLE>
<TR>
<TD><SPAN CLASS="ERRMSG"><%= request.getAttribute("msg.NoneSelected.txt") %></SPAN></TD>
</TR>
<TR>
<TD><SPAN CLASS="ERRMSG"><%= request.getAttribute("err.joinLimitExceeded") %></SPAN></TD>
</TR>
<TR>
<TD><SPAN CLASS="ERRMSG"><%= m_bigMessage %></SPAN></TD>
</TR>

<TR><TD>

<TABLE CLASS="ENTRYBOX" BORDER=0 CELLSPACING=2>
<TR>
<TH WIDTH="50%" CLASS="BAR"><%= m_tableLabel %></TH>
<TH WIDTH="50%" CLASS="BAR"><%= m_joinLabel %></TH>
</TR>

<TR>
<TD WIDTH="50%"><CENTER> <% librarySelector.write(out); %> </CENTER></TD>
<TD WIDTH="50%"><CENTER> <% joinSelector.write(out); %> </CENTER></TD>
</TR>

<TR>
<TD COLSPAN=2> <% tableSelector.write(out); %> </TD>
</TR>

<TR>
<TD COLSPAN=2> <% columnSelector.write( out ); %> </TD>
</TR>

<TR>
<TD COLSPAN=2><% labelSelector.write(out); %></TD>
</TR>
<TR>
<TD COLSPAN=2><% promptSelector.write(out); %></TD>
</TR>

</TABLE>
</form>

</TD>
</TR>

<TR> <TD> <jsp:include page="button_include.jsp" flush="true" /> </TD> </TR>
</TABLE>

</TD></TR>
</TABLE>	<!-- END WHOLE PAGE TABLE -->

</BODY>
</HTML>
