<%@page import="java.io.*,java.util.*" %>
<%@page import="com.sas.hrv.*" %>
<%@page import="com.sas.sasserver.dataset.*" %>

<%
/*********************************************************************/
// Copyright (c) 2000 by SAS Institute Inc., Cary, NC 27513
/*********************************************************************/
//
// NAME:     newWindow.jsp
// AUTHOR:   sasjs1 - Jeff Schrilla
// SUPPORT:  sasjs1 - Jeff Schrilla
// PRODUCT:  hrvision
// TYPE:     jsp page
// LANGUAGE: java
// PURPOSE:  jsp to fascilitate openning a new window in HRVision.
//
// HISTORY:   Date    Who  Action
//           -------------------------------------------------------
//           02mar01  js1  initial coding
/*********************************************************************/
%>

<%
	try {
		Hashtable ht = (Hashtable)session.getAttribute("com.sas.hrv.infolist");
		if (ht != null) {
   		String removeItem = (String)ht.get("REMOVE_VIEW");
   		if (removeItem != null) {
				removeItem = removeItem.toUpperCase();
				TableCtrl ct = (TableCtrl)ht.get(removeItem);

				try {
					ct.closeDS();
				}
				catch(Exception e){}
				ht.remove(removeItem);
				ht.remove("REMOVE_VIEW");
			}
		}

		session.setAttribute("com.sas.hrv.infolist",ht);
	}
	catch (Exception e) {
	}

    HrvInfo hrvi = HrvInfo.getInstance(application, request, response, out);

    if (hrvi.isLoggedIn(session)) {

        String mainWinId = hrvi.returnMainWindowId();

        // if the window being closed was a table viewer, free up the data set associated with the view and take the TableCtrl object off of hrvinfo.
        String closeTable = request.getParameter("closeTable");
        if (closeTable != null && !closeTable.equals("")) {
            TableCtrl hrvTable = (TableCtrl) hrvi.getSessionValue(session, "TABLE_" + closeTable);
            if (hrvTable != null) {
                DataSetInterface ds = hrvTable.getDataSetInterface();
                if (ds != null)
                    ds.close();
            }
            hrvi.removeSessionValue(session, "TABLE_" + closeTable);
        }

        String win = request.getParameter("winName");
        hrvi.debugOut("\n!!!!!!!!!!! win being closed: " + win);
        if (hrvi.isLoggedIn(session) && win != null && !win.equals(mainWinId)) {
            hrvi.removeWindowId(session, win);
            hrvi.debugOut("!!!!!!!!!!! win removed: " + win);
        }
        Vector winIds = hrvi.getUsedWindowIds(session);
        hrvi.debugOut("!!!!!!!!!!! winIds: " + winIds);
        // if this is the last HRVision window that is being closed, then log the user off.
        if (winIds == null || winIds.size() <= 0)
            hrvi.logOff(session);
    }
%>

<SCRIPT Language="JavaScript">
<%
	try {
		//need to remove select alls off the session
		String [] checkedValues = (String [])session.getAttribute("checkedPrompts");
		if (checkedValues != null) {

			for (int j=0; j < checkedValues.length; j++) {
				session.removeAttribute(checkedValues[j]);
			}

			session.removeAttribute("checkedPrompts");
		}
	}
	catch (Exception e) {}

	String newOrgchart = request.getParameter("newOrgchart");
	if (newOrgchart != null && !"".equals(newOrgchart)) {
		String mainWinId = hrvi.returnMainWindowId();
%>
	var explorer = open('../Jsp/explorer.jsp?type=analyses','<%=mainWinId%>','');
<%
	}
%>
    self.close();
</SCRIPT>