<%@page import="java.io.*,java.util.*,java.lang.Object,java.net.*" %> 
<%@page import="com.sas.hrv.*" %>
<%@include file="HRVLoginInclude.jsp"%>
 
<HTML>

<%
	// Get the message object
	VisMsg vM = VisMsg.getInstance(session);
	
	// Create a table bean for the retrieval of metadata
	TableBean hrvTable = new TableBean(session);		
	
	// Set the appropriate location for this key
	String location = request.getParameter("location");
	if (location == null) 
		location = "";
	if (location.equals(hrvTable.PRIVATE_LOC_STRING))
		hrvTable.setMetaLocationPrivate();

	String topic = request.getParameter("topic");
	if (topic == null)
		topic = "";
	String from = request.getParameter("from");
	if (from == null)
		from = "";
	
	// Set the appropriate key
	String key = request.getParameter("key");
	if (key == null)
		key = "";
	hrvTable.setMetaKey(key);
	String desc = "";
	String dispMsg = "";
	
	String refresh = request.getParameter("refresh");
	String fromuserprompt = request.getParameter ("fromuserprompt");

	if (refresh == null || (fromuserprompt != null && fromuserprompt.equalsIgnoreCase ("Y"))) {
		refresh = "<META HTTP-EQUIV=\"refresh\" CONTENT=\"1;URL=../Jsp/refreshTable.jsp?location=" + location;
		if (from.equalsIgnoreCase("bs") || from.equalsIgnoreCase("report") || from.equalsIgnoreCase("open")) {
			String keys [] = request.getParameterValues("key");
			if (keys != null)
				for(int i=0; i<keys.length; i++) {
					key = keys[i];
					refresh += "&key=" + key;
					if (key == null)
						key = "";
					hrvTable.setMetaKey(key);
					desc += "<tr><td align=\"left\">" + hrvTable.getAttributeValue("desc") + "</td></tr>";;
				}
			if (keys.length > 1)
				dispMsg = desc + "<tr><td>&nbsp;</td></tr><tr><td alight=\"center\">" + vM.getLabel("areBeingRefreshed") + ".</td></tr>";
			else
				dispMsg = desc + "<tr><td>&nbsp;</td></tr><tr><td alight=\"center\">" + vM.getLabel("isBeingRefreshed") + ".</td></tr>";
			refresh += "&refresh=x&from=" + from + "&topic=" + topic;
		}
		else
			refresh += "&refresh=x&key=" + key;
			
		if (fromuserprompt != null) {
			refresh += "&fromuserprompt=x";
		}
		refresh += "\" />";
%>
		
<HEAD>
	<Script Language="JavaScript">
		try {
			if (parent.BUTTONS.document != null) {
				parent.BUTTONS.document.location.href='../Jsp/explorerButtons.jsp?itemType=table&from=clear';
			}
		}
		catch (e) {}
	</Script>
   <%@ include file="HRVHeadIncludeNTO.jsp"%>
   <%=refresh%>
</HEAD>
<BODY class="bodyContents">
<TABLE width="100%" height="100%"><TR><TD align="center">
<TABLE>
  <%=dispMsg%>
</TABLE></TD></TR>
</TABLE>
		
<%
	}
	else {

%>

<HEAD>
   <%@ include file="HRVHeadIncludeNTO.jsp"%>
</HEAD>
<BODY class="bodyContents">
<TABLE width="100%" height="100%">
<TR><TD align="center"><TABLE>

<%
		// Get the ConnectionInterface instance
		ConnectionInterface cI = ConnectionInterface.getInstance(session);

		// Try to refresh the desired table
		try {	
			if (from.equalsIgnoreCase("bs") || from.equalsIgnoreCase("report") || from.equalsIgnoreCase("open")) {
				// from the bs screen, so build a vector to refresh with.
				String keys [] = request.getParameterValues("key");
				Vector tableVector = new Vector();
				Vector tableUserPromptVector = new Vector();
				Vector tableUserPromptLocationVector = new Vector();
				NamedList userprompt;
				if (keys != null)

					for(int i=0; i<keys.length; i++) {

						tableVector.add(keys[i]);
						hrvTable.setMetaKey(keys[i]);

						hrvTable.userPromptWalk (tableUserPromptVector, tableUserPromptLocationVector);
						
						
							
						session.setAttribute ("userPromptVector", tableUserPromptVector);
						session.setAttribute ("userPromptLocationVector", tableUserPromptLocationVector);
					}

				if (fromuserprompt == null || (fromuserprompt != null && !fromuserprompt.equalsIgnoreCase ("x"))) {
					// we have some tables to refresh that have a user prompt.
					// save the vector where the user prompt jsp can access it.
					if (tableUserPromptVector.size () > 0) {
						String userPromptPage = "userPrompt.jsp";

						userPromptPage += "?command=RUN";
						userPromptPage += "&location=" + location + "&key=" + key + "&from=" + from;

						String returnUrl = "refreshTable.jsp?" + request.getQueryString ();
						returnUrl += "&fromuserprompt=Y";

						session.setAttribute ("returnURL", returnUrl);

						forwardURL (userPromptPage, out, request, response);
						return;					
					}
				}
				
				try {
					// check to see if we've come from refreshing the user prompt once and don't refresh it 
					// again in that case.
					
					if (fromuserprompt == null || (fromuserprompt != null && !fromuserprompt.equalsIgnoreCase ("x")))
					{
						hrvTable.refreshItemList(tableVector, cI);
					}

					desc = "</td></tr><tr><td align=\"left\"><UL>";
					String feedback = "";
					
					String libref = hrvTable.PRIVATE_DATA_LIBREF;
					if (hrvi.isUserAdmin(session))
						libref = hrvTable.PUBLIC_DATA_LIBREF;
					
					for (int i=tableVector.size()-1; i>=0; i--) {
						hrvTable.setMetaKey((String)tableVector.get(i));
						if (hrvTable.tableExist(libref))
							feedback = vM.getLabel("Success");
						else 
							feedback = vM.getLabel("Failure");
							
						desc += "<tr><td align=\"left\">" + hrvTable.getAttributeValue("desc") + "</td><td>&nbsp;</td><td>- " + feedback + "</td></tr>";
					}
						
					if (tableVector.size() > 1)
						out.println(desc + "<tr><td>&nbsp;</td></tr><tr><td>&nbsp;</td></tr><tr><td align=\"center\">" + vM.getLabel("haveBeenRefreshed") + ".</td></tr>");
					else
						out.println(desc + "<tr><td>&nbsp;</td></tr><tr><td>&nbsp;</td></tr><tr><td align=\"center\">" + vM.getLabel("hasBeenRefreshed") + ".</td></tr>");

					if (from.equalsIgnoreCase("report")) {
						// came from the report refresh, and we're done, so go back to the report refresh.
						String reportUrl = (String) hrvi.getSessionValue(session, "sentToTablesFromReports");
						if (reportUrl != null) {
							forwardURL(reportUrl, out, request, response);
							return;
						}
					}
					else if (from.equalsIgnoreCase("open")) {
						// came from the opening a table, and we're done with the refresh, so go back to the table.
						String openUrl = (String) hrvi.getSessionValue(session, "sentToRefreshFromOpen");
						if (openUrl != null) {
							openUrl = openUrl + "&doneWithUP=Y";
							forwardURL(openUrl, out, request, response);
							return;
						}
					}
				}
				catch (ConnectionErrorException e) {
					out.println("<tr><td>&nbsp;</td></tr><tr><td>&nbsp;</td></tr><tr><td align=\"center\">" + vM.getLabel("ConnectionError") + "</td></tr>");				
				}
			}
			else {
				try {
					// refreshing only one key
					hrvTable.refreshItem(cI);
					out.println(desc + "<tr><td>&nbsp;</td></tr><tr><td>&nbsp;</td></tr><tr><td align=\"center\">" + vM.getLabel("hasBeenRefreshed") + ".</td></tr>");
					if (from.equalsIgnoreCase("report")) {
						// came from the report refresh, and we're done, so go back to the report refresh.
						String reportUrl = (String) hrvi.getSessionValue(session, "sentToTablesFromReports");
						if (reportUrl != null) {
							forwardURL(reportUrl, out, request, response);
							return;
						}
					}
				}
				catch (ConnectionErrorException e) {
					out.println("<tr><td>&nbsp;</td></tr><tr><td>&nbsp;</td></tr><tr><td align=\"center\">" + vM.getLabel("ConnectionError") + "</td></tr>");				
				}
			}
%>

<Script Language="JavaScript">
	try {
		if (parent.BUTTONS.document != null) {
			parent.BUTTONS.document.location.href='../Jsp/explorerButtons.jsp?itemType=tables&topic=<%=topic%>&from=<%=from%>tablerefresh';
		}
	}
	catch (e) {}
</Script>

<%
		}

		catch (Exception e) {
			out.println("Error occurred: <BR>" + e.toString() + "<BR>"); 
%>

<Script Language="JavaScript">
	try {
		if (parent.BUTTONS.document != null) {
			parent.BUTTONS.document.location.href='../Jsp/explorerButtons.jsp?itemType=tables&topic=<%=topic%>&from=<%=from%>refresh';
		}
	}
	catch (e) {}
</Script>

<%
		}
	}
%>

</TABLE></TD></TR>
</TABLE>
</BODY>
</HTML>