<%-- Copyright (c) 2001 by SAS Institute Inc., Cary, NC 27513 --%>
<%@ page errorPage="../Query/QueryErr.jsp" %>
<%@ page import="java.io.*,java.util.*" %>
<%@ page import="java.text.MessageFormat" %>
<%@ page import="com.sas.query.*" %>
<%@ page import="com.sas.query.app.*" %>
<%@ page import="com.sas.query.datasources.*" %>
<%@ page import="com.sas.query.models.*" %>
<%@ page import="com.sas.query.models.Expression" %>
<%@ page import="com.sas.query.parser.*" %>
<%@ page import="com.sas.query.visuals.*" %>
<%@ page import="com.sas.hrv.*" %>
<%@ page import="com.sas.rmi.Connection" %>
<%@ page import="com.sas.servlet.beans.*" %>
<%@ page import="com.sas.servlet.beans.html.*" %>
<%@ page import="com.sas.collection.StringCollection" %>
<%@ include file="../Jsp/HRVLoginInclude.jsp" %>
<%@ include file="../Query/QueryInclude.jsp" %>
<%!
   //nothing yet!
   public static final int MODE_DEFAULT = 0;
   public static final int MODE_FULL = 0;
   public static final int MODE_WHERE = 1;
%>
<%
   int mode = MODE_FULL;

   String returnTo = request.getParameter("returnTo");
   if (returnTo == null) {
      returnTo = "selcols";	//default
   }
   request.setAttribute("returnTo", returnTo);
   if ("wherecb".equals(returnTo))
      mode = MODE_WHERE;

   VisMsg bundle = (VisMsg)request.getAttribute("resources");
//This variable is for request parameter propagation
   HashMap riders = new HashMap();
   riders.put("sessionkey", m_sessionKey);
   riders.put("returnTo", returnTo);
   //need to propagate several HRV parameters
   riders.put("explorerType", request.getParameter("explorerType"));
   riders.put("actualType", request.getParameter("actualType"));
   riders.put("window", request.getParameter("window"));
   riders.put("topic", request.getParameter("topic"));

   String action = request.getParameter("intAction");
   //Get next step to go to (if any)
   String stepToGoto = null;
   if (action != null) {
      if (action.startsWith("goto.")) {
      	 stepToGoto = action.substring(5);
      }
   }

   if (stepToGoto == null && action != null) {
      stepToGoto = returnTo;
   }

   //Check to see if the user has hit the next button - commit selection
   if (action != null && (!"cancel".equals(action))) {
//application.log("All Messages: " + m_messages.getOneBigMessage());
m_messages.removeAllMessages();
      boolean modified = false;
      String sqlText = request.getParameter("sql");

	  //new code
      String complex_filter_set = request.getParameter("complex_filter_on");
      if(complex_filter_set != null)
      	session.setAttribute("complex_filter_on", complex_filter_set);
      else
      	session.setAttribute("complex_filter_on", "");


      if (sqlText == null)
      	 sqlText = "";

      session.setAttribute("wcb", sqlText);
      switch (mode) {
      	 case MODE_WHERE:
	    if (!sqlText.trim().equals(m_query.getWhereString().trim())) {
	       modified = true;
	       //m_query.setWhereString(sqlText);
	    }
	    break;
      	 case MODE_FULL:
	 default:
	    String oldSQL = m_query.getSql();
	    String newSQL = sqlText;

//need to strip out '\r' from input text
StringBuffer tempBuf = new StringBuffer(newSQL);
int lastPos = tempBuf.length();
int rPos = newSQL.lastIndexOf('\r', lastPos);
while (rPos != -1) {
   tempBuf.deleteCharAt(rPos);
   lastPos = rPos - 1;
   rPos = newSQL.lastIndexOf('\r', lastPos);
}
newSQL = tempBuf.toString();

oldSQL = oldSQL.trim();
newSQL = newSQL.trim();

	    if (!oldSQL.equals(newSQL)) {
	       m_query.clear();				//clear the current query
	       m_query.setSQL(sqlText);
	       modified = true;


	       //#########maperr 5/7/04 #############
	       TableBean m_tempTableBean = m_query.getWorkingTableBean();
	       HashMap filterMap = null;

	       if(m_tempTableBean != null)
	       	   filterMap = (HashMap)session.getAttribute(m_tempTableBean.getMetaKey());
	       else{
	       	   filterMap = new HashMap();
	       	   filterMap.put("_snapshot", "");
	       	   filterMap.put("orderandgroup", "");
	       }

	       filterMap.put("_snapshot", sqlText.substring(sqlText.indexOf("WHERE") + 5));
	       //####################################
	    }
	    break;
      }
//BKD:FIX - definately need to handle messages here!
//application.log("All Messages: " + m_messages.getOneBigMessage());
m_messages.removeAllMessages();

      if (modified) {
      	 //firePropertyChanges(m_query);
      }
   }




//check for request to move to a specific step
   if (stepToGoto != null) {
      String nextURL = null;

      if (mode == MODE_WHERE) {
	 //compose return url
      	 String urlFormat = ((WhereClauseBuilder)m_queryControl).getReturnURLFormat();
	 if (urlFormat != null) {
	    Object[] args = {
			m_sessionKey,
			//m_query.getWhereString()
		     };
	    nextURL = java.text.MessageFormat.format(urlFormat, args);
%>
<SCRIPT LANGUAGE="JavaScript">
top.document.location.href='<%= nextURL %>';
</SCRIPT>
<%
	    return;
	 }
      }

      nextURL = getRedirectURL(bundle, stepToGoto, riders);

      //send URL redirect to browser and stop processing
      response.sendRedirect(response.encodeRedirectURL(nextURL));
      return;
   }

   String updateMenu_p = request.getParameter("updateMenu");
   if (updateMenu_p != null) {
      request.setAttribute("updateMenu", Boolean.valueOf(updateMenu_p));
   }

   String editSQL = "";
   switch (mode) {
      case MODE_WHERE:
      	 editSQL = m_query.getWhereString();
	 break;
      case MODE_FULL:
      default:
      	 editSQL = m_query.getSql();
   }

      //###############maperr 2/17/2004##################
         if(m_query.getWorkingTableBean() != null)
             editSQL = m_dataSource.getModifiedSql(editSQL, m_query, false);
         else{
             //we are here from the subset
             editSQL = (String)session.getAttribute("wcb");
         }
      //###############maperr 2/17/2004##################

   TextArea editBean = new TextArea();
   editBean.setName("sql");
//BKD:NOTE - should we get these values from somewhere more configurable?
   editBean.setRows(14);
   editBean.setColumns(80);
   editBean.setText(editSQL);

   request.setAttribute("sql", editBean);
   request.setAttribute("sql.text", editSQL);

   //forward the request to the view page
   pageContext.forward((String)request.getAttribute("viewURL"));
%>
